Bug 1292146 - Incompatibility between IPA client and server versions
Summary: Incompatibility between IPA client and server versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.0
Assignee: Joe Vlcek
QA Contact: luke couzens
URL:
Whiteboard: black:ldap
Depends On:
Blocks: 1292495
TreeView+ depends on / blocked
 
Reported: 2015-12-16 15:09 UTC by luke couzens
Modified: 2016-06-29 15:21 UTC (History)
8 users (show)

Fixed In Version: 5.6.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1292495 (view as bug list)
Environment:
Last Closed: 2016-06-29 15:21:41 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1348 normal SHIPPED_LIVE CFME 5.6.0 bug fixes and enhancement update 2016-06-29 18:50:04 UTC

Description luke couzens 2015-12-16 15:09:04 UTC
Description of problem:Incompatibility between IPA client and server versions


Version-Release number of selected component (if applicable):5.5.0.13


How reproducible:100%


Steps to Reproduce:
1.ssh into appliance and start appliance_console
2.run external authentication setup
3.fill in details as required

Actual results:ipa: ERROR: 2.112 client incompatible with 2.65 server at


Expected results:IPA setup complete


Additional info:

Comment 2 Dmitry Misharov 2016-01-20 09:52:32 UTC
Workaround of this is downgrading ipa-client, ipa-python, ipa-admintools packages to the same version of ipa-server package which is installed on the ipa server.

Comment 3 Joe Vlcek 2016-06-13 20:11:36 UTC
This BZ is addressed by https://github.com/ManageIQ/manageiq/pull/7278

This is already fixed in 5.6.z

Comment 4 luke couzens 2016-06-14 14:59:34 UTC
Verified in 5.6.0.10

Comment 6 errata-xmlrpc 2016-06-29 15:21:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1348


Note You need to log in before you can comment on or make changes to this bug.